%define url_ver   %(echo %{version}|cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/mate-sensors-applet/plugins/.*\\.so

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Detailed hardware monitoring applet for MATE
Name:           mate-sensors-applet
Version:        1.28.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:         mate-sensors-applet-1.20.0-fix-linkage.patch

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  mate-common >= 1.22.0
BuildRequires:  xsltproc
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(libatasmart) >= 0.16
BuildRequires:  pkgconfig(libnotify) >= 0.7.0
BuildRequires:  pkgconfig(libmatepanelapplet-4.0) >= 1.22.0
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.80
BuildRequires:  lm_sensors-devel
BuildRequires:  pkgconfig(cairo) >= 1.0.4
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  udisks2-devel

%description
MATE Sensors Applet is an applet for the MATE Panel to display readings
from hardware sensors, including CPU and system temperatures, fan speeds and
voltage readings under Linux.

Interfaces via the Linux kernel i2c modules.

%package -n %{libname}
Summary:    mate-sensors-applet libraries
Group:      System/Libraries

%description -n %{libname}
This is the shared library parts of %{name}.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --enable-libnotify

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_libexecdir}/mate-sensors-applet
%{_libdir}/mate-sensors-applet/
%{_datadir}/mate-sensors-applet/ui/
%{_datadir}/pixmaps/mate-sensors-applet/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/dbus-1/services/org.mate.panel.applet.SensorsAppletFactory.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-panel/applets/org.mate.applets.SensorsApplet.mate-panel-applet

%files -n %{libname}
%{_libdir}/libmate-sensors-applet-plugin.so.%{major}*

%files -n %{develname}
%doc ChangeLog
%{_includedir}/mate-sensors-applet/*
%{_libdir}/libmate-sensors-applet-plugin.so

%files doc
%{_datadir}//help/


%post
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
%{_bindir}/glib-compile-schemas /usr/share/glib-2.0/schemas


%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version

* Sat Aug 22 2020 tex - 1.24.1-1pclos2020
- new version

* Sat Feb 15 2020 tex - 1.24.0-1pclos2020
- 1.24.0
